import { TableAlarms, TableAlarmsOptions } from "./table-alarms";
import { GlobalSecondaryIndexProps, Table, TableProps } from "aws-cdk-lib/aws-dynamodb";
import { Construct } from "constructs";
/**
 * Properties for ObservedTable.
 */
export interface ObservedTableProps extends TableProps, TableAlarmsOptions {
}
/**
 * DynamoDB Table with CloudWatch Alarms.
 */
export declare class ObservedTable extends Table {
    readonly tableAlarms: TableAlarms;
    constructor(scope: Construct, id: string, props: ObservedTableProps);
    /**
     * Add a global secondary index of table.
     *
     * @param props the property of global secondary index
     */
    addGlobalSecondaryIndex(props: GlobalSecondaryIndexProps): void;
}
