import * as go from "@aws-cdk/aws-lambda-go-alpha";
import { FunctionAlarms, FunctionAlarmsOptions } from "./function-alarms";
import { FunctionDeployment } from "./function-deployment";
import { Construct } from "constructs";
import { DeployedFunctionOptions } from "./function";
/**
 * Properties for GoFunctionAlpha
 */
export interface GoFunctionAlphaProps extends go.GoFunctionProps, FunctionAlarmsOptions, DeployedFunctionOptions {
}
/**
 * Extended version of the alpha GonFunction that supports alarms and deployments.
 */
export declare class GoFunctionAlpha extends go.GoFunction {
    readonly alarms: FunctionAlarms;
    readonly deployment: FunctionDeployment;
    constructor(scope: Construct, id: string, props: GoFunctionAlphaProps);
}
