import * as python from "@aws-cdk/aws-lambda-python-alpha";
import { FunctionAlarms, FunctionAlarmsOptions } from "./function-alarms";
import { DeployedFunctionOptions } from "./function";
import { FunctionDeployment } from "./function-deployment";
import { Construct } from "constructs";
/**
 * Properties for PythonFunctionAlpha
 */
export interface PythonFunctionAlphaProps extends python.PythonFunctionProps, FunctionAlarmsOptions, DeployedFunctionOptions {
}
/**
 * Extended version of the alpha PythonFunction that supports alarms and deployments.
 */
export declare class PythonFunctionAlpha extends python.PythonFunction {
    readonly alarms: FunctionAlarms;
    readonly deployment: FunctionDeployment;
    constructor(scope: Construct, id: string, props: PythonFunctionAlphaProps);
}
